Home > MobiCID Compatibility

MobiCID Compatibility

MobiCID works on Android, iOS and Black Berry phones.
Android - 2.3 and above
BlackBerry - 4.2 to 7.0
iOS - 5.0 to 6.1.2 (once there's a jailbreak available for 6.1.3/4 and
7.0 we'll support this as well)